/*
 * Copyright (c) 2016-2020 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

export * from './icon.element';
export * from './icon.service';

// SHAPES
export { unknownIcon } from './shapes/unknown';

// SHAPES - CORE
export { angleIcon } from './shapes/angle';
export { angleDoubleIcon } from './shapes/angle-double';
export { arrowIcon } from './shapes/arrow';
export { barsIcon } from './shapes/bars';
export { bellIcon } from './shapes/bell';
export { calendarIcon } from './shapes/calendar';
export { checkIcon } from './shapes/check';
export { checkCircleIcon } from './shapes/check-circle';
export { cloudIcon } from './shapes/cloud';
export { cogIcon } from './shapes/cog';
export { ellipsisHorizontalIcon } from './shapes/ellipsis-horizontal';
export { ellipsisVerticalIcon } from './shapes/ellipsis-vertical';
export { errorStandardIcon } from './shapes/error-standard';
export { eventIcon } from './shapes/event';
export { exclamationCircleIcon } from './shapes/exclamation-circle';
export { exclamationTriangleIcon } from './shapes/exclamation-triangle';
export { eyeIcon } from './shapes/eye';
export { eyeHideIcon } from './shapes/eye-hide';
export { filterGridIcon } from './shapes/filter-grid';
export { filterGridCircleIcon } from './shapes/filter-grid-circle';
export { folderIcon } from './shapes/folder';
export { folderOpenIcon } from './shapes/folder-open';
export { helpInfoIcon } from './shapes/help-info';
export { homeIcon } from './shapes/home';
export { imageIcon } from './shapes/image';
export { infoCircleIcon } from './shapes/info-circle';
export { infoStandardIcon } from './shapes/info-standard';
export { searchIcon } from './shapes/search';
export { stepForward2Icon } from './shapes/step-forward-2';
export { successStandardIcon } from './shapes/success-standard';
export { timesIcon } from './shapes/times';
export { unknownStatusIcon } from './shapes/unknown-status';
export { userIcon } from './shapes/user';
export { viewColumnsIcon } from './shapes/view-columns';
export { vmBugIcon } from './shapes/vm-bug';
export { vmBugInverseIcon } from './shapes/vm-bug-inverse';
export { warningStandardIcon } from './shapes/warning-standard';

// SHAPES - ESSENTIAL
export { accessibility1Icon } from './shapes/accessibility-1';
export { accessibility2Icon } from './shapes/accessibility-2';
export { addTextIcon } from './shapes/add-text';
export { alarmClockIcon } from './shapes/alarm-clock';
export { alarmOffIcon } from './shapes/alarm-off';
export { asteriskIcon } from './shapes/asterisk';
export { banIcon } from './shapes/ban';
export { betaIcon } from './shapes/beta';
export { boltIcon } from './shapes/bolt';
export { bookIcon } from './shapes/book';
export { briefcaseIcon } from './shapes/briefcase';
export { bubbleExclamationIcon } from './shapes/bubble-exclamation';
export { bugIcon } from './shapes/bug';
export { bullseyeIcon } from './shapes/bullseye';
export { childArrowIcon } from './shapes/child-arrow';
export { circleIcon } from './shapes/circle';
export { circleArrowIcon } from './shapes/circle-arrow';
export { clipboardIcon } from './shapes/clipboard';
export { clockIcon } from './shapes/clock';
export { cloneIcon } from './shapes/clone';
export { collapseCardIcon } from './shapes/collapse-card';
export { colorPickerIcon } from './shapes/color-picker';
export { copyIcon } from './shapes/copy';
export { copyToClipboardIcon } from './shapes/copy-to-clipboard';
export { crosshairsIcon } from './shapes/crosshairs';
export { cursorArrowIcon } from './shapes/cursor-arrow';
export { cursorHandIcon } from './shapes/cursor-hand';
export { cursorHandClickIcon } from './shapes/cursor-hand-click';
export { cursorHandGrabIcon } from './shapes/cursor-hand-grab';
export { cursorHandOpenIcon } from './shapes/cursor-hand-open';
export { cursorMoveIcon } from './shapes/cursor-move';
export { detailsIcon } from './shapes/details';
export { dotCircleIcon } from './shapes/dot-circle';
export { downloadIcon } from './shapes/download';
export { dragHandleIcon } from './shapes/drag-handle';
export { dragHandleCornerIcon } from './shapes/drag-handle-corner';
export { eraserIcon } from './shapes/eraser';
export { expandCardIcon } from './shapes/expand-card';
export { fileIcon } from './shapes/file';
export { fileGroupIcon } from './shapes/file-group';
export { fileSettingsIcon } from './shapes/file-settings';
export { fileZipIcon } from './shapes/file-zip';
export { filterIcon } from './shapes/filter';
export { filter2Icon } from './shapes/filter-2';
export { filterOffIcon } from './shapes/filter-off';
export { firewallIcon } from './shapes/firewall';
export { firstAidIcon } from './shapes/first-aid';
export { fishIcon } from './shapes/fish';
export { flameIcon } from './shapes/flame';
export { formIcon } from './shapes/form';
export { fuelIcon } from './shapes/fuel';
export { gridViewIcon } from './shapes/grid-view';
export { helpIcon } from './shapes/help';
export { historyIcon } from './shapes/history';
export { hourglassIcon } from './shapes/hourglass';
export { idBadgeIcon } from './shapes/id-badge';
export { keyIcon } from './shapes/key';
export { landscapeIcon } from './shapes/landscape';
export { libraryIcon } from './shapes/library';
export { lightbulbIcon } from './shapes/lightbulb';
export { listIcon } from './shapes/list';
export { lockIcon } from './shapes/lock';
export { loginIcon } from './shapes/login';
export { logoutIcon } from './shapes/logout';
export { minusIcon } from './shapes/minus';
export { minusCircleIcon } from './shapes/minus-circle';
export { moonIcon } from './shapes/moon';
export { newIcon } from './shapes/new';
export { noAccessIcon } from './shapes/no-access';
export { noteIcon } from './shapes/note';
export { objectsIcon } from './shapes/objects';
export { organizationIcon } from './shapes/organization';
export { paperclipIcon } from './shapes/paperclip';
export { pasteIcon } from './shapes/paste';
export { pencilIcon } from './shapes/pencil';
export { pinIcon } from './shapes/pin';
export { pinboardIcon } from './shapes/pinboard';
export { plusIcon } from './shapes/plus';
export { plusCircleIcon } from './shapes/plus-circle';
export { popOutIcon } from './shapes/pop-out';
export { portraitIcon } from './shapes/portrait';
export { printerIcon } from './shapes/printer';
export { recycleIcon } from './shapes/recycle';
export { redoIcon } from './shapes/redo';
export { refreshIcon } from './shapes/refresh';
export { repeatIcon } from './shapes/repeat';
export { resizeIcon } from './shapes/resize';
export { scissorsIcon } from './shapes/scissors';
export { scrollIcon } from './shapes/scroll';
export { shrinkIcon } from './shapes/shrink';
export { sliderIcon } from './shapes/slider';
export { snowflakeIcon } from './shapes/snowflake';
export { sortByIcon } from './shapes/sort-by';
export { sunIcon } from './shapes/sun';
export { switchIcon } from './shapes/switch';
export { syncIcon } from './shapes/sync';
export { tableIcon } from './shapes/table';
export { tagIcon } from './shapes/tag';
export { tagsIcon } from './shapes/tags';
export { targetIcon } from './shapes/target';
export { thermometerIcon } from './shapes/thermometer';
export { timesCircleIcon } from './shapes/times-circle';
export { toolsIcon } from './shapes/tools';
export { trashIcon } from './shapes/trash';
export { treeIcon } from './shapes/tree';
export { treeViewIcon } from './shapes/tree-view';
export { twoWayArrowsIcon } from './shapes/two-way-arrows';
export { undoIcon } from './shapes/undo';
export { unlockIcon } from './shapes/unlock';
export { uploadIcon } from './shapes/upload';
export { usersIcon } from './shapes/users';
export { viewCardsIcon } from './shapes/view-cards';
export { viewListIcon } from './shapes/view-list';
export { volumeIcon } from './shapes/volume';
export { wandIcon } from './shapes/wand';
export { windowCloseIcon } from './shapes/window-close';
export { windowMaxIcon } from './shapes/window-max';
export { windowMinIcon } from './shapes/window-min';
export { windowRestoreIcon } from './shapes/window-restore';
export { worldIcon } from './shapes/world';
export { wrenchIcon } from './shapes/wrench';
export { zoomInIcon } from './shapes/zoom-in';
export { zoomOutIcon } from './shapes/zoom-out';

// SHAPES - CHARTS
export { axisChartIcon } from './shapes/axis-chart';
export { barChartIcon } from './shapes/bar-chart';
export { bellCurveIcon } from './shapes/bell-curve';
export { boxPlotIcon } from './shapes/box-plot';
export { bubbleChartIcon } from './shapes/bubble-chart';
export { cloudChartIcon } from './shapes/cloud-chart';
export { curveChartIcon } from './shapes/curve-chart';
export { gridChartIcon } from './shapes/grid-chart';
export { heatMapIcon } from './shapes/heat-map';
export { lineChartIcon } from './shapes/line-chart';
export { pieChartIcon } from './shapes/pie-chart';
export { scatterPlotIcon } from './shapes/scatter-plot';
export { tickChartIcon } from './shapes/tick-chart';

// SHAPES - COMMERCE
export { bankIcon } from './shapes/bank';
export { bitcoinIcon } from './shapes/bitcoin';
export { calculatorIcon } from './shapes/calculator';
export { coinBagIcon } from './shapes/coin-bag';
export { creditCardIcon } from './shapes/credit-card';
export { dollarIcon } from './shapes/dollar';
export { dollarBillIcon } from './shapes/dollar-bill';
export { eCheckIcon } from './shapes/e-check';
export { euroIcon } from './shapes/euro';
export { pesoIcon } from './shapes/peso';
export { piggyBankIcon } from './shapes/piggy-bank';
export { poundIcon } from './shapes/pound';
export { rubleIcon } from './shapes/ruble';
export { rupeeIcon } from './shapes/rupee';
export { shoppingBagIcon } from './shapes/shopping-bag';
export { shoppingCartIcon } from './shapes/shopping-cart';
export { storeIcon } from './shapes/store';
export { walletIcon } from './shapes/wallet';
export { wonIcon } from './shapes/won';
export { yenIcon } from './shapes/yen';

// SHAPES - MEDIA
export { cameraIcon } from './shapes/camera';
export { fastForwardIcon } from './shapes/fast-forward';
export { filmStripIcon } from './shapes/film-strip';
export { headphonesIcon } from './shapes/headphones';
export { imageGalleryIcon } from './shapes/image-gallery';
export { microphoneIcon } from './shapes/microphone';
export { microphoneMuteIcon } from './shapes/microphone-mute';
export { musicNoteIcon } from './shapes/music-note';
export { pauseIcon } from './shapes/pause';
export { playIcon } from './shapes/play';
export { powerIcon } from './shapes/power';
export { replayAllIcon } from './shapes/replay-all';
export { replayOneIcon } from './shapes/replay-one';
export { rewindIcon } from './shapes/rewind';
export { shuffleIcon } from './shapes/shuffle';
export { stepForwardIcon } from './shapes/step-forward';
export { stopIcon } from './shapes/stop';
export { videoCameraIcon } from './shapes/video-camera';
export { videoGalleryIcon } from './shapes/video-gallery';
export { volumeDownIcon } from './shapes/volume-down';
export { volumeMuteIcon } from './shapes/volume-mute';
export { volumeUpIcon } from './shapes/volume-up';

// SHAPES - TECHNOLOGY
export { administratorIcon } from './shapes/administrator';
export { applicationIcon } from './shapes/application';
export { applicationsIcon } from './shapes/applications';
export { archiveIcon } from './shapes/archive';
export { assignUserIcon } from './shapes/assign-user';
export { atomIcon } from './shapes/atom';
export { backupIcon } from './shapes/backup';
export { backupRestoreIcon } from './shapes/backup-restore';
export { barCodeIcon } from './shapes/bar-code';
export { batteryIcon } from './shapes/battery';
export { blockIcon } from './shapes/block';
export { blocksGroupIcon } from './shapes/blocks-group';
export { bluetoothIcon } from './shapes/bluetooth';
export { bluetoothOffIcon } from './shapes/bluetooth-off';
export { buildingIcon } from './shapes/building';
export { bundleIcon } from './shapes/bundle';
export { capacitorIcon } from './shapes/capacitor';
export { cdDvdIcon } from './shapes/cd-dvd';
export { certificateIcon } from './shapes/certificate';
export { cloudNetworkIcon } from './shapes/cloud-network';
export { cloudScaleIcon } from './shapes/cloud-scale';
export { cloudTrafficIcon } from './shapes/cloud-traffic';
export { clusterIcon } from './shapes/cluster';
export { codeIcon } from './shapes/code';
export { computerIcon } from './shapes/computer';
export { connectIcon } from './shapes/connect';
export { containerIcon } from './shapes/container';
export { containerVolumeIcon } from './shapes/container-volume';
export { controlLunIcon } from './shapes/control-lun';
export { cpuIcon } from './shapes/cpu';
export { dashboardIcon } from './shapes/dashboard';
export { dataClusterIcon } from './shapes/data-cluster';
export { deployIcon } from './shapes/deploy';
export { devicesIcon } from './shapes/devices';
export { disconnectIcon } from './shapes/disconnect';
export { displayIcon } from './shapes/display';
export { downloadCloudIcon } from './shapes/download-cloud';
export { exportIcon } from './shapes/export';
export { fileShareIcon } from './shapes/file-share';
export { flaskIcon } from './shapes/flask';
export { floppyIcon } from './shapes/floppy';
export { hardDiskIcon } from './shapes/hard-disk';
export { hardDriveIcon } from './shapes/hard-drive';
export { hardDriveDisksIcon } from './shapes/hard-drive-disks';
export { helixIcon } from './shapes/helix';
export { hostIcon } from './shapes/host';
export { hostGroupIcon } from './shapes/host-group';
export { importIcon } from './shapes/import';
export { inductorIcon } from './shapes/inductor';
export { installIcon } from './shapes/install';
export { keyboardIcon } from './shapes/keyboard';
export { layersIcon } from './shapes/layers';
export { linkIcon } from './shapes/link';
export { mediaChangerIcon } from './shapes/media-changer';
export { memoryIcon } from './shapes/memory';
export { mobileIcon } from './shapes/mobile';
export { mouseIcon } from './shapes/mouse';
export { namespaceIcon } from './shapes/namespace';
export { networkGlobeIcon } from './shapes/network-globe';
export { networkSettingsIcon } from './shapes/network-settings';
export { networkSwitchIcon } from './shapes/network-switch';
export { noWifiIcon } from './shapes/no-wifi';
export { nodeIcon } from './shapes/node';
export { nodeGroupIcon } from './shapes/node-group';
export { nodesIcon } from './shapes/nodes';
export { nvmeIcon } from './shapes/nvme';
export { phoneHandsetIcon } from './shapes/phone-handset';
export { pluginIcon } from './shapes/plugin';
export { podIcon } from './shapes/pod';
export { processOnVmIcon } from './shapes/process-on-vm';
export { qrCodeIcon } from './shapes/qr-code';
export { rackServerIcon } from './shapes/rack-server';
export { radarIcon } from './shapes/radar';
export { resistorIcon } from './shapes/resistor';
export { resourcePoolIcon } from './shapes/resource-pool';
export { routerIcon } from './shapes/router';
export { rulerPencilIcon } from './shapes/ruler-pencil';
export { shieldIcon } from './shapes/shield';
export { shieldCheckIcon } from './shapes/shield-check';
export { shieldXIcon } from './shapes/shield-x';
export { squidIcon } from './shapes/squid';
export { ssdIcon } from './shapes/ssd';
export { storageIcon } from './shapes/storage';
export { storageAdapterIcon } from './shapes/storage-adapter';
export { tabletIcon } from './shapes/tablet';
export { tapeDriveIcon } from './shapes/tape-drive';
export { terminalIcon } from './shapes/terminal';
export { unarchiveIcon } from './shapes/unarchive';
export { uninstallIcon } from './shapes/uninstall';
export { unlinkIcon } from './shapes/unlink';
export { uploadCloudIcon } from './shapes/upload-cloud';
export { usbIcon } from './shapes/usb';
export { vmIcon } from './shapes/vm';
export { vmwAppIcon } from './shapes/vmw-app';
export { wifiIcon } from './shapes/wifi';

// SHAPES - SOCIAL
export { bookmarkIcon } from './shapes/bookmark';
export { chatBubbleIcon } from './shapes/chat-bubble';
export { crownIcon } from './shapes/crown';
export { envelopeIcon } from './shapes/envelope';
export { flagIcon } from './shapes/flag';
export { halfStarIcon } from './shapes/half-star';
export { happyFaceIcon } from './shapes/happy-face';
export { hashtagIcon } from './shapes/hashtag';
export { heartIcon } from './shapes/heart';
export { heartBrokenIcon } from './shapes/heart-broken';
export { inboxIcon } from './shapes/inbox';
export { neutralFaceIcon } from './shapes/neutral-face';
export { pictureIcon } from './shapes/picture';
export { sadFaceIcon } from './shapes/sad-face';
export { shareIcon } from './shapes/share';
export { starIcon } from './shapes/star';
export { talkBubblesIcon } from './shapes/talk-bubbles';
export { tasksIcon } from './shapes/tasks';
export { thumbsDownIcon } from './shapes/thumbs-down';
export { thumbsUpIcon } from './shapes/thumbs-up';

// SHAPES - TEXT-EDIT
export { alignBottomIcon } from './shapes/align-bottom';
export { alignCenterIcon } from './shapes/align-center';
export { alignLeftIcon } from './shapes/align-left';
export { alignLeftTextIcon } from './shapes/align-left-text';
export { alignMiddleIcon } from './shapes/align-middle';
export { alignRightIcon } from './shapes/align-right';
export { alignRightTextIcon } from './shapes/align-right-text';
export { alignTopIcon } from './shapes/align-top';
export { blockQuoteIcon } from './shapes/block-quote';
export { boldIcon } from './shapes/bold';
export { bulletListIcon } from './shapes/bullet-list';
export { centerTextIcon } from './shapes/center-text';
export { checkboxListIcon } from './shapes/checkbox-list';
export { fontSizeIcon } from './shapes/font-size';
export { highlighterIcon } from './shapes/highlighter';
export { indentIcon } from './shapes/indent';
export { italicIcon } from './shapes/italic';
export { justifyTextIcon } from './shapes/justify-text';
export { languageIcon } from './shapes/language';
export { numberListIcon } from './shapes/number-list';
export { outdentIcon } from './shapes/outdent';
export { paintRollerIcon } from './shapes/paint-roller';
export { strikethroughIcon } from './shapes/strikethrough';
export { subscriptIcon } from './shapes/subscript';
export { superscriptIcon } from './shapes/superscript';
export { textIcon } from './shapes/text';
export { textColorIcon } from './shapes/text-color';
export { underlineIcon } from './shapes/underline';

// SHAPES - TRAVEL
export { airplaneIcon } from './shapes/airplane';
export { bicycleIcon } from './shapes/bicycle';
export { boatIcon } from './shapes/boat';
export { campervanIcon } from './shapes/campervan';
export { carIcon } from './shapes/car';
export { caravanIcon } from './shapes/caravan';
export { compassIcon } from './shapes/compass';
export { ferryIcon } from './shapes/ferry';
export { mapIcon } from './shapes/map';
export { mapMarkerIcon } from './shapes/map-marker';
export { trailerIcon } from './shapes/trailer';
export { truckIcon } from './shapes/truck';

// COLLECTIONS
export * from './collections/chart';
export * from './collections/commerce';
export * from './collections/core';
export * from './collections/essential';
export * from './collections/media';
export * from './collections/technology';
export * from './collections/social';
export * from './collections/text-edit';
export * from './collections/travel';
